Summary: A gtk2 frontend for rdesktop
Name: grdesktop
Version: 0.23
Release: %mkrel 17
Group: Networking/Remote access
License: GPLv2+
URL: http://www.nongnu.org/grdesktop/
Source0: %{name}-%{version}.tar.bz2
Patch0: grdesktop-0.23-desktopentry.patch
Patch1: grdesktop-0.23-format-strings.patch
Patch2: grdesktop-0.23-fix-desktop.patch
# Debian patches
Patch101: 01_gettext.diff
Patch102: 02_iter.diff
Patch104: 04_typos.diff
Patch106: 06_no-libgnome.diff
Patch107: 07_avoid-scrollkeeper.diff
Patch108: 08_gsettings-port.diff
BuildRequires: gettext-devel
BuildRequires: imagemagick
BuildRequires: pkgconfig(gtk+-2.0)
Requires: rdesktop

%description
grdesktop is a frontend, written in C using the GTK+ 2 toolkit, for
the remote desktop client (rdesktop).
It can save several connections (including their options), and browse
the network for available terminal servers.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%define _legacy_common_support 1
%configure --with-keymap-path=%_datadir/rdesktop/keymaps
%make_build

%install
%make_install

%find_lang %name --with-gnome

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name/icon.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 pixmaps/icon.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 pixmaps/icon.png %buildroot%_miconsdir/%name.png

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/grdesktop
%{_mandir}/man1/grdesktop.1*
%{_datadir}/application-registry/grdesktop.applications
%{_datadir}/applications/grdesktop.desktop
%{_datadir}/GConf/gsettings/grdesktop.convert
%{_datadir}/glib-2.0/schemas/org.nongnu.grdesktop.gschema.xml
%{_datadir}/mime-info/grdesktop.keys
%{_datadir}/mime-info/grdesktop.mime
%{_datadir}/pixmaps/grdesktop/
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Sun Jun 28 2020 joequant <joequant> 0.23-17.mga8
+ Revision: 1599970
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 0.23-16.mga8
+ Revision: 1521133
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 16 2018 wally <wally> 0.23-15.mga7
+ Revision: 1341645
- add Debian patches
  - build without libgnome2
  - build without scrollkeeper
  - port to gsettings
  - other misc fixes

* Sun Sep 23 2018 umeabot <umeabot> 0.23-14.mga7
+ Revision: 1298071
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Feb 03 2016 umeabot <umeabot> 0.23-13.mga6
+ Revision: 933607
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.23-12.mga5
+ Revision: 740260
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.23-11.mga5
+ Revision: 679934
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.23-10.mga4
+ Revision: 517159
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 0.23-9.mga3
+ Revision: 361314
- Fix desktop file
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 06 2011 ennael <ennael> 0.23-8.mga1
+ Revision: 81308
- clean spec file
- imported package grdesktop

